# Class TcclThreadFactory

java.lang.Object
org.apache.catalina.tribes.util.TcclThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

public class TcclThreadFactory extends Object implements ThreadFactory
ThreadFactory implementation that creates threads with the thread context class loader set to the class loader that loaded this factory. It is intended to be used when tasks may be passed to executors when the web application class loader is set as the thread context class loader, such as in async session replication.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TcclThreadFactory()`
  Creates a new TcclThreadFactory with an auto-generated name prefix.
  `TcclThreadFactory(String namePrefix)`
  Creates a new TcclThreadFactory with the specified name prefix.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Thread`
  `newThread(Runnable r)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TcclThreadFactory

    public TcclThreadFactory()
    Creates a new TcclThreadFactory with an auto-generated name prefix.

  - ### TcclThreadFactory

    public TcclThreadFactory(String namePrefix)
    Creates a new TcclThreadFactory with the specified name prefix.
    Parameters:
      `namePrefix` - the prefix for thread names

- ## Method Details

  - ### newThread

    public Thread newThread(Runnable r)
    Specified by:
      `newThread` in interface `ThreadFactory`